Skip to main content
GET
/
api
/
projects
/
List projects
curl --request GET \
  --url https://app.photon.codes/api/projects/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.photon.codes/api/projects/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.photon.codes/api/projects/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "location": "United States",
    "status": "running",
    "spectrum": true,
    "template": true,
    "observability": true,
    "userId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "spectrumProjectId": "<string>",
    "projectSecret": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Access token obtained via the device login flow.

Response

Projects accessible to the caller.

id
string<uuid>
required
name
string
required
location
string
required
Example:

"United States"

status
string
required
Example:

"running"

spectrum
boolean
required
template
boolean
required
observability
boolean
required
userId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
spectrumProjectId
string | null

Spectrum project id. Use as the projectId half of HTTP Basic auth against the Spectrum API.

projectSecret
string | null

Spectrum project secret. Use as the projectSecret half of HTTP Basic auth against the Spectrum API. Returned only to project owners and members.